Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.commands
Class TargetTranslator

    java.lang.Object
      org.metaabm.commands.TargetTranslator

All Implemented Interfaces:
  StringTranslator

    public abstract class TargetTranslator

extends java.lang.Object
implements StringTranslator

Standard translators for typical identifier transformations.

Author:
  milesparker

Field Summary
`static java.util.List<TargetTranslator>` | `AGENT_TRANSLATORS`
`static java.util.List<TargetTranslator>` | `ID_TRANSLATORS`
`static java.util.List<TargetTranslator>` | `IMPLEMENTED_TRANSLATORS`
`static TargetTranslator` | `LABEL_TO_AGENT_COUNT_DESC_TRANSLATOR`
`static TargetTranslator` | `LABEL_TO_AGENT_COUNT_LABEL_TRANSLATOR`
`static TargetTranslator` | `LABEL_TO_AGENT_CREATOR_LABEL_TRANSLATOR`
`static TargetTranslator` | `LABEL_TO_CLASSNAME_TRANSLATOR`
`static TargetTranslator` | `LABEL_TO_ID_TRANSLATOR`
`static TargetTranslator` | `LABEL_TO_PLURAL_NAME_TRANSLATOR`
`static TargetTranslator` | `LABEL_TO_SPACE_BUILDER_LABEL_TRANSLATOR`
`static java.util.List<TargetTranslator>` | `NAMED_IMPLEMENTED_TRANSLATORS`
`static java.util.List<TargetTranslator>` | `NAMED_TRANSLATORS`
`static java.util.List<TargetTranslator>` | `PLURAL_TRANSLATORS`
`static java.util.List<TargetTranslator>` | `SAPCE_TRANSLATORS`

Constructor Summary
`TargetTranslator()`
`TargetTranslator(org.eclipse.emf.ecore.EStructuralFeature targetFeature)`
`TargetTranslator(org.eclipse.emf.ecore.EStructuralFeature sourceFeature, org.eclipse.emf.ecore.EStructuralFeature targetFeature)`

Method Summary
`static org.eclipse.emf.common.command.Command` | `create(org.eclipse.emf.edit.domain.EditingDomain domain, java.util.List<TargetTranslator> translators, IID source)`
`org.eclipse.emf.common.command.Command` | `createCommand(org.eclipse.emf.edit.domain.EditingDomain domain, IID source)`
`boolean` | `includeFor(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject source)`
`protected java.lang.String` | `removeSpecialChars(java.lang.String otherName)`
`org.eclipse.emf.ecore.EObject` | `targetFor(org.eclipse.emf.ecore.EObject source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.metaabm.commands.StringTranslator
`translateName`

Field Detail

### LABEL_TO_CLASSNAME_TRANSLATOR

    public static final TargetTranslator LABEL_TO_CLASSNAME_TRANSLATOR

### LABEL_TO_AGENT_COUNT_DESC_TRANSLATOR

    public static final TargetTranslator LABEL_TO_AGENT_COUNT_DESC_TRANSLATOR

### LABEL_TO_AGENT_COUNT_LABEL_TRANSLATOR

    public static final TargetTranslator LABEL_TO_AGENT_COUNT_LABEL_TRANSLATOR

### LABEL_TO_AGENT_CREATOR_LABEL_TRANSLATOR

    public static final TargetTranslator LABEL_TO_AGENT_CREATOR_LABEL_TRANSLATOR

### LABEL_TO_SPACE_BUILDER_LABEL_TRANSLATOR

    public static final TargetTranslator LABEL_TO_SPACE_BUILDER_LABEL_TRANSLATOR

### LABEL_TO_PLURAL_NAME_TRANSLATOR

    public static final TargetTranslator LABEL_TO_PLURAL_NAME_TRANSLATOR

### LABEL_TO_ID_TRANSLATOR

    public static final TargetTranslator LABEL_TO_ID_TRANSLATOR

### ID_TRANSLATORS

    public static final java.util.List<TargetTranslator> ID_TRANSLATORS

### PLURAL_TRANSLATORS

    public static final java.util.List<TargetTranslator> PLURAL_TRANSLATORS

### AGENT_TRANSLATORS

    public static final java.util.List<TargetTranslator> AGENT_TRANSLATORS

### SAPCE_TRANSLATORS

    public static final java.util.List<TargetTranslator> SAPCE_TRANSLATORS

### NAMED_IMPLEMENTED_TRANSLATORS

    public static final java.util.List<TargetTranslator> NAMED_IMPLEMENTED_TRANSLATORS

### NAMED_TRANSLATORS

    public static final java.util.List<TargetTranslator> NAMED_TRANSLATORS

### IMPLEMENTED_TRANSLATORS

    public static final java.util.List<TargetTranslator> IMPLEMENTED_TRANSLATORS

Constructor Detail

### TargetTranslator

    public TargetTranslator()

### TargetTranslator

    public TargetTranslator(org.eclipse.emf.ecore.EStructuralFeature targetFeature)

### TargetTranslator

    public TargetTranslator(org.eclipse.emf.ecore.EStructuralFeature sourceFeature,
                            org.eclipse.emf.ecore.EStructuralFeature targetFeature)

Method Detail

### targetFor

    public org.eclipse.emf.ecore.EObject targetFor(org.eclipse.emf.ecore.EObject source)

### includeFor

    public boolean includeFor(org.eclipse.emf.edit.domain.EditingDomain domain,
                              org.eclipse.emf.ecore.EObject source)

### createCommand

    public org.eclipse.emf.common.command.Command createCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                IID source)

### create

    public static org.eclipse.emf.common.command.Command create(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                java.util.List<TargetTranslator> translators,
                                                                IID source)

### removeSpecialChars

    protected java.lang.String removeSpecialChars(java.lang.String otherName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD